tpaint regression on windows platforms found on fx-team Jan 
I saw on graph server a large regression in tpaint:


I followed it down to the fx-team branch:


This is also seen on datazilla:


the source for tpaint is in talos:


Here is the documentation we have for tpaint:


I tracked it down via retriggers on tbpl and this is the revision where the regression was introduced:


Is this an expected regression? It doesn't seem to affect mac and linux as much, quite possibly this has specific windows code?
